aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2019-01-04 10:33:18 +0100
committerGravatar Jan Tattermusch <jtattermusch@google.com>2019-01-04 17:15:10 +0100
commit4cbdf08e61b2f168a42a8984b58126aebdb9097e (patch)
tree026357bdc1da4faeda362b52f07718d713d55d85 /tools
parent89f7d619ef23e400e36f8906876a2633d943847e (diff)
debug out of disk space in run_interop_matrix_tests.py
Diffstat (limited to 'tools')
-rwxr-xr-xtools/internal_ci/linux/grpc_interop_matrix.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/tools/internal_ci/linux/grpc_interop_matrix.sh b/tools/internal_ci/linux/grpc_interop_matrix.sh
index a5220ea087..5f1f69db95 100755
--- a/tools/internal_ci/linux/grpc_interop_matrix.sh
+++ b/tools/internal_ci/linux/grpc_interop_matrix.sh
@@ -22,4 +22,15 @@ cd $(dirname $0)/../../..
source tools/internal_ci/helper_scripts/prepare_build_linux_rc
-tools/interop_matrix/run_interop_matrix_tests.py $RUN_TESTS_FLAGS
+# TODO(jtattermusch): Diagnose out of disk space problems. Remove once not needed.
+df -h
+
+tools/interop_matrix/run_interop_matrix_tests.py $RUN_TESTS_FLAGS || FAILED="true"
+
+# TODO(jtattermusch): Diagnose out of disk space problems. Remove once not needed.
+df -h
+
+if [ "$FAILED" != "" ]
+then
+ exit 1
+fi